<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Deiminari Mail</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100"
        bgcolor="#4F0000"><?php include("../menu.inc") ?></td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php 
          require("../private/connect.inc");
          require("../private/ident.inc");
          require("../private/text.inc");
          require ("../private/func-deiminaris.inc");
          ident();
      	  autoritzar($_COOKIE["login"], "deiminaris");
        ?>
        <?php
              require("../phpmailer/class.phpmailer.php");
              $mail= new phpmailer();
              $mail->IsSMTP();
              $mail->Host = "etse.urv.es";
              $mail->SMTPAuth = false;
              $mail->From = "magarcia@etse.urv.es";
              $mail->FromName = "DEIMinaris";
              
              $mail->Subject = $_POST["subject"];

              // Convertim el llistat de mails en un array a on cada posicio es un mail
              $array = split(",", $_POST["mails"]);
              $count = count($array);
              for ($i=0; $i<$count; $i++)
              {
                $mail->AddAddress(trim($array[$i]));
              }
              $mail->WordWrap=80;
              $mail->IsHTML(false);
              $mail->Body =$_POST["body"];
              
              if (!$mail->Send()){
                echo "error" . $mail->ErrorInfo;
              }

        ?>
        <h2>Administració Deiminaris: Enviar Mails</h2>
        Mails enviats!!<br>
       <font size="-1"><i>En 3 segons tornará al menú extra de deiminaris</i></font>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
    <script languaje='JavaScript'>
       setTimeout('location.href="../deiminaris/extra.php"', 3000)
    </script>
  </body>
</html>

